/* converts integer n to characters in s */

#include <limits.h>

#define abs(x) ((x > 0) ? (x) : -(x))

void itoa(int n, char s[]) {
     int i, sign;

     sign = n;

     i = 0;
     do {
	  s[i++] = abs(n % 10) + '0';
     } while ((x /= 10) > 0);
     if (sign < 0)
	  s[i++] = '-';
     s[i] = '\0';
     reverse(s);
}
	  
void itoam(int n, char s[], int min) {
     int i, sign;

     sign = n;

     i = 0;
     do {
	  s[i++] = abs(n % 10) + '0';
     } while ((x /= 10) > 0);
     while (i < min)
	  s[i++] = ' ';
     if (sign < 0)
	  s[i++] = '-';
     s[i] = '\0';
     reverse(s);
}

void itoar(int n, char s[]) {
     static int i;

     sign = n;
     s[i++] = abs(n % 10) + '0';
     if ((n /= 10) > 0)
	  itoar(n, s);
     else {
	  if (sign < 0)
	       s[i++] = '-';
	  s[i] = '\0';
	  reverse(s);
     }
}
		    
