/* prints all lines from standard in that are longer than 80 lines */

#include <stdio.h>

#define MAXLINE 1000
#define MINLINE 80

enum { IN, OUT };

int main(void) {
     char buf[MAXLINE];
     int i, c;

     i = 0;
     while ((c=getchar()) != EOF) {
	  if (c == '\n') {
	       if (i >= MINLINE) {
		    buf[i] = '\0';
		    printf("%s\n", buf);
	       }
	       i = 0;
	  } else {
	       if (i < MAXLINE)
		    buf[i++] = c;
	  }
     }

     return 0;
}

