/* counts the number of blanks, tabs, and newlines */

#include <stdio.h>

int main(void) {

     int blanks = 0, tabs = 0, newlines = 0;
     char c;

     while ((c=getchar()) != EOF) {
	  switch (c) {
	  case ' ':
	       blanks++;
	       break;
	  case '\t':
	       tabs++;
	       break;
	  case '\n':
	       newlines = 0;
	       break;
	  default:
	       break;
	  }
     }

     printf("Blanks: %d\nTabs: %d\nNewlines: %d\n",
	    blanks, tabs, newlines);

     return 0;
}
